Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RegistryRowsFinancialControllingPopupWindow 'Popup a csoportos dolgokhoz
    Inherits BaseObject
    Private _RegistryRowsFinancial As RegistryRowsFinancial
    Private _Contracts As Contracts
    Private _Controlling As Controlling
    Private _UniqueObjects As UniqueObjects
    Private _CostHolder As CostHolder
    Private _CostPlace As CostPlace
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property RegistryRowsFinancial As RegistryRowsFinancial
        Get
            Return _RegistryRowsFinancial
        End Get
        Set(ByVal value As RegistryRowsFinancial)
            SetPropertyValue("RegistryRowsFinancial", _RegistryRowsFinancial, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("CustomersFrom ='@This.RegistryRowsFinancial.RegistryHeader.CustomersFrom' AND Customers = '@This.RegistryRowsFinancial.RegistryHeader.Customers' AND ContractTemplate.PartnerType = 1")>
    Property Contracts As Contracts
        Get
            Return _Contracts
        End Get
        Set(ByVal value As Contracts)
            SetPropertyValue("Contracts", _Contracts, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("IsParent=False")>
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(ByVal value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property
    Property UniqueObjects As UniqueObjects
        Get
            Return _UniqueObjects
        End Get
        Set(ByVal value As UniqueObjects)
            SetPropertyValue("UniqueObjects", _UniqueObjects, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(ByVal value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property CostPlace As CostPlace
        Get
            Return _CostPlace
        End Get
        Set(ByVal value As CostPlace)
            SetPropertyValue("CostPlace", _CostPlace, value)
        End Set
    End Property
End Class

